:root {
  --text-dark: #000;
  --text-light: #fff;
  --wrapper-width: 80%;
}

*,
*::before,
*::after {
  box-sizing: inherit;
  margin: 0;
  padding: 0;
}

html {
  font-size: 62.5%;
  scroll-behavior: smooth;
}

body {
  font-family: 'Red Hat Display', sans-serif;
  font-size: 1.6rem;
  background-color: #fff;
  color: var(--text-dark);
  box-sizing: border-box;
}

a {
  text-decoration: none;
  color: inherit;
}

button {
  cursor: pointer;
}

li {
  list-style: none;
}

section {
  overflow: hidden;
}

.heading-primary {
  font-size: 5.6rem;
  font-weight: 600;
  margin-bottom: 4rem;
  animation: fadeIn 1s ease-in;
}

.heading-secondary {
  font-size: 4rem;
  font-weight: 600;
  margin-bottom: 5rem;
}

.heading-secondary--bold {
  font-weight: 700;
}

.heading-tertiary {
  font-size: 2.4rem;
  font-weight: 300;
  margin-bottom: 5rem;
}

.text-light {
  color: var(--text-light);
}

.background--dark {
  background-color: #638f02;
}

.background--light {
  background-color: #f3f3f3;
}

.wrapper {
  width: var(--wrapper-width);
  max-width: 1350px;
  margin: auto;
}

.overlayer {
  position: relative;
}

.overlayer::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #2e6800;
  mix-blend-mode: multiply;
}

.logo-wrap {
  width: 150px;
}

.logo-wrap--big {
  width: 200px;
}

.logo-img {
  width: 100%;
}

.square-group {
  display: flex;
  justify-content: center;
  margin: 0 auto;
  max-width: 1000px;
  animation: fadeUp 1s ease;
}

.square {
  aspect-ratio: 1 / 1;
  flex: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 3rem;
}

.square__title {
  margin-bottom: 4rem;
  font-size: 2.3rem;
  font-weight: 600;
}

.flag {
  display: flex;
}

.flag__img,
.flag__body {
  flex: 50%;
}

.flag__img {
  overflow: hidden;
}

.flag__img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: 0.5s ease;
}

.flag__body {
  align-self: center;
  padding: 5rem 0;
  margin-left: 5rem;
  margin-right: calc((100% - var(--wrapper-width)) / 2);
  max-width: 1000px;
}

.flag--reverse > .flag__body {
  margin-right: 5rem;
  margin-left: calc((100% - var(--wrapper-width)) / 2);
}

.flag--reverse {
  flex-direction: row-reverse;
}

.grid {
  display: grid;
  gap: 3rem;
  grid-template-columns: repeat(3, minmax(0, 1fr));
}

.grid--alt img {
  width: 100%;
  height: 100%;
  object-fit: contain;
  transition: 0.5s ease;
}

.grid__cell {
  padding: 1rem;
}

.grid--alt div:nth-child(1) {
  grid-row: 1 / 3;
}

.grid--alt div:nth-child(2) {
  grid-row: 1 / 3;
}

.grid--alt .grid__cell {
  padding: 2rem;
}

.section-box {
  padding: 5rem 0;
}

.section-mt-30 {
  margin-top: 3rem;
}

.btn {
  background-color: #438454;
  color: #fff;
  font-size: 1.4rem;
  text-decoration: none;
  padding: 1rem 3rem;
}

.btn-scroll {
  width: 5rem;
  height: 5rem;
  border: 2px solid #438454;
  background-color: #fff;
  border-radius: 50%;
  position: fixed;
  z-index: 9999;
  bottom: 20px;
  right: 20px;
}

.btn-scroll__img {
  width: 3.5rem;
}

.header {
  background-color: #fff;
  position: sticky;
  top: 0;
  z-index: 1000;
}

.nav__content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 8rem;
}

.nav__list {
  font-weight: 600;
  display: flex;
  gap: 4rem;
}

.nav__list-link {
  font-size: 1.4rem;
  text-transform: uppercase;
}

.nav__menu-bar {
  display: block;
  width: 35px;
  height: 5px;
  margin-bottom: 5px;
  background-color: #000;
}

.nav__menu {
  background: transparent;
  border: none;
  display: none;
}

.hero {
  text-align: center;
}

.hero__overlay {
  background-color: rgba(0, 0, 0, 0.4);
}

.hero__content {
  margin: 0 auto;
  padding: 10rem 0;
  max-width: 80rem;
}

.hero__info {
  width: 80%;
  margin: 0 auto;
  animation: fadeUp 1s ease;
}

.services {
  background-color: rgba(42, 85, 53, 1);
}

.service {
  background-color: rgba(42, 85, 53, 1);
  transition: background-color 0.2s ease;
}

.service:not(:last-child) {
  border-right: 1px solid #fff;
  text-align: center;
}

.service__img {
  width: 116px;
}

.rte__title {
  margin-bottom: 4rem;
}

.rte__copy {
  margin-bottom: 3rem;
  font-weight: 300;
  letter-spacing: 1px;
}

.rte__subtitle {
  font-size: 20px;
  font-weight: 600;

  margin-bottom: 1rem;
}
.swiper-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.swiper-box {
  padding: 5rem 0;
  position: relative;
}

.swiper-slide {
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 10rem;
}
.swiper-slide img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.swiper {
  width: 130%;
  height: 30rem;
}

.swiper-button-wrap {
  display: flex;
  gap: 2.5rem;
  margin-bottom: 5rem;
  transform: translateY(50%);
}

.swiper-button {
  width: 1rem;
  position: static !important;
}

.swiper-button::after {
  color: #000;
  font-size: 3rem !important;
}

.features__group {
  margin-bottom: 5rem;
}

.features__item {
  text-align: center;
}

.features__img {
  max-width: 7rem;
  margin-bottom: 2rem;
}

.features__title {
  font-size: 2rem;
  text-transform: uppercase;
  margin-bottom: 3rem;
}

.footer {
  background-color: #1a1a1a;
  font-size: 1.4rem;
}

.footer__content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 5rem;
}

.footer__cta-box {
  text-align: end;
}

.footer__cta-link {
  margin-bottom: 1rem;
}

.footer__bottom {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  gap: 3rem;
}

.footer__icon {
  width: 2rem;
  margin-left: 2rem;
  vertical-align: bottom;
}

.footer__copy {
  width: 55%;
}

.u-text-uppercase {
  text-transform: uppercase;
}

.u-text-center {
  text-align: center;
}

.u-z-index-2 {
  position: relative;
  z-index: 2;
}

.u-blend-multiply {
  mix-blend-mode: multiply;
}

@media screen and (hover: hover) {
  .grid--alt img:hover {
    transform: scale(1.2);
  }

  .flag__img img:hover {
    cursor: pointer;
    transform: scale(1.2);
    opacity: 0.8;
  }

  .btn:hover {
    cursor: pointer;
    background-color: rgba(42, 85, 53, 1);
  }

  .btn-scroll:hover {
    background-color: #438454;
    transition: 0.3s ease;
  }

  .nav__list-link:hover {
    color: #438454;
  }

  .nav__list-link--light:hover {
    color: #f3f3f3;
  }

  .service:hover {
    cursor: pointer;
    background-color: #438454;
  }

  .footer__cta-link:hover {
    color: #2e6800;
  }
}

@media screen and (min-width: 1440px) {
  html {
    font-size: 70.3123%;
  }
}

@media screen and (max-width: 768px) {
  :root {
    --wrapper-width: 90%;
  }

  .heading-primary {
    font-size: 4.8rem;
  }

  .wrapper {
    max-width: 100%;
  }

  .flag__body {
    margin: 0;
  }

  .flag--reverse .flag__body {
    margin: 0;
  }

  .flag {
    display: block;
  }

  .grid {
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }
  .grid--alt {
    grid-template-columns: repeat(2, auto);
  }

  .flag__body {
    padding: 3rem;
    margin-right: 0;
  }

  .flag--reverse .flag__body {
    margin-left: 0;
  }

  .square {
    padding: 2rem;
  }

  .square__title {
    font-size: 2rem;
  }

  .service__img {
    width: 70px;
  }

  .nav__list {
    display: none;
  }

  .nav__list.is-open {
    position: absolute;
    left: 0%;
    top: 8rem;
    width: 100%;
    height: 60vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    gap: 7rem;
    background-color: #f3f3f3;
  }

  .nav__list-link {
    font-size: 1.6rem;
  }

  .nav__menu {
    display: block;
    cursor: pointer;
  }

  .testera {
    grid-column: auto;
  }
}

@media screen and (max-width: 467px) {
  .heading-primary {
    font-size: 4rem;
  }

  .heading-secondary {
    font-size: 3.5rem;
  }

  .grid {
    display: block;
  }

  .grid__cell {
    margin-bottom: 3rem;
  }

  .hero__info {
    width: 100%;
  }

  .square-group {
    display: block;
  }

  .square {
    aspect-ratio: auto;
  }

  .service:not(:last-child) {
    border: none;
    border-bottom: 1px solid #fff;
  }

  .logo-wrap--big {
    margin-inline: auto;
    margin-bottom: 4rem;
  }

  .footer__content {
    display: block;
  }

  .footer__cta {
    text-align: center;
  }

  .footer__cta-link {
    margin-bottom: 2rem;
  }

  .footer__bottom {
    display: block;
  }

  .footer__copy {
    width: 100%;
    text-align: center;
    margin-bottom: 4rem;
  }

  .footer__copyright {
    text-align: center;
  }
}

@keyframes fadeUp {
  from {
    opacity: 0;
    transform: translateY(50%);
  }

  to {
    transform: translateX(0);
    opacity: 1;
  }
}

@keyframes fadeIn {
  from {
    opacity: 0;
    transform: scale(0);
  }

  to {
    opacity: 1;
    transform: scale(1);
  }
}
